Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.bytecode.spi
Interface ReflectionOptimizer

All Known Implementing Classes:
  ReflectionOptimizerImpl

    public interface ReflectionOptimizer

Represents reflection optimization for a particular class.

Nested Class Summary
`static interface` | `ReflectionOptimizer.AccessOptimizer` Represents optimized entity property access.
`static interface` | `ReflectionOptimizer.InstantiationOptimizer` Represents optimized entity instantiation.

Method Summary
`ReflectionOptimizer.AccessOptimizer` | `getAccessOptimizer()`
`ReflectionOptimizer.InstantiationOptimizer` | `getInstantiationOptimizer()`

Method Detail

### getInstantiationOptimizer

    ReflectionOptimizer.InstantiationOptimizer getInstantiationOptimizer()

### getAccessOptimizer

    ReflectionOptimizer.AccessOptimizer getAccessOptimizer()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.